Bug 175933 - update multimedia/xbmc to xbmc 12
Summary: update multimedia/xbmc to xbmc 12
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ruslan Makhmatkhanov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-07 18:30 UTC by Léo Schmitt
Modified: 2013-03-08 19:40 UTC (History)
0 users

See Also:


Attachments
xbmc_12.patch (2.11 KB, patch)
2013-02-07 18:30 UTC, Léo Schmitt
no flags Details | Diff
xbmc.frodo.txt (36.15 KB, text/plain; charset=US-ASCII)
2013-02-10 02:24 UTC, mickael.maillot
no flags Details
xbmc.12.0.txt (38.82 KB, text/plain; charset=US-ASCII)
2013-03-07 15:22 UTC, mickael.maillot
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Léo Schmitt 2013-02-07 18:30:00 UTC
Upgrade xbmc port from 12.0.r3_2 to 12.0, and fix for PR ports/175316

Fix: Check LIBAVFORMAT_VERSION_INT if AVIO_FLAG_READ available.
Comment 1 Edwin Groothuis freebsd_committer 2013-02-09 09:33:37 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2013-02-09 09:33:37 UTC
Maintainer of multimedia/xbmc,

Please note that PR ports/175933 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/175933

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Ruslan Makhmatkhanov freebsd_committer 2013-02-18 04:56:22 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rm

I will take it.
Comment 4 Ruslan Makhmatkhanov freebsd_committer 2013-02-19 08:11:29 UTC
State Changed
From-To: feedback->open

Hi Mickael. xmbc 12 doesn't builds on 8.x. Here is the log: 
http://people.freebsd.org/~rm/xbmc-12.0.log Do you have any ideas gow to 
fix that?
Comment 5 Ruslan Makhmatkhanov freebsd_committer 2013-03-08 09:22:56 UTC
State Changed
From-To: open->feedback

Thank you, testing it now.
Comment 6 dfilter service freebsd_committer 2013-03-08 19:34:30 UTC
Author: rm
Date: Fri Mar  8 19:34:05 2013
New Revision: 313670
URL: http://svnweb.freebsd.org/changeset/ports/313670

Log:
  - update to 12.0 [1]
  - fix build with ffmpeg
  - add --headless option to run xbmc w/o gui [2]
  
  PR:		175933 [1]
  PR: 174996 [2]
  Submitted by:	Leo Schmitt <neomorphs@gmail.com> [1] (original patch)
                  Mickael Maillot <mickael.maillot@gmail.com> (maintainer, final patch)
                  Alexander Yerenkow <yerenkow@gmail.com> [2]

Added:
  head/multimedia/xbmc/files/patch-headless   (contents, props changed)
  head/multimedia/xbmc/files/patch-xbmc__cdrip__EncoderFFmpeg.cpp   (contents, props changed)
Modified:
  head/multimedia/xbmc/Makefile
  head/multimedia/xbmc/distinfo   (contents, props changed)
  head/multimedia/xbmc/files/patch-configure.in   (contents, props changed)
  head/multimedia/xbmc/files/patch-xbmc__threads__platform__pthreads__ThreadImpl.cpp   (contents, props changed)
  head/multimedia/xbmc/pkg-descr   (contents, props changed)
  head/multimedia/xbmc/pkg-plist   (contents, props changed)

Modified: head/multimedia/xbmc/Makefile
==============================================================================
--- head/multimedia/xbmc/Makefile	Fri Mar  8 19:30:00 2013	(r313669)
+++ head/multimedia/xbmc/Makefile	Fri Mar  8 19:34:05 2013	(r313670)
@@ -1,12 +1,12 @@
 # $FreeBSD$
 
 PORTNAME=	xbmc
-DISTVERSION=	12.0.rc3
-PORTREVISION=	2
+DISTVERSION=	12.0
 CATEGORIES=	multimedia
+MASTER_SITES=	http://mirrors.xbmc.org/releases/source/
 
 MAINTAINER=	mickael.maillot@gmail.com
-COMMENT=	XBMC is an award winning media center application
+COMMENT=	Award winning media center application
 
 LICENSE=	GPLv2
 
@@ -19,7 +19,6 @@ BUILD_DEPENDS=	enca:${PORTSDIR}/converte
 		nasm:${PORTSDIR}/devel/nasm \
 		dvdread-config:${PORTSDIR}/multimedia/libdvdread \
 		gtk-update-icon-cache:${PORTSDIR}/x11-toolkits/gtk20 \
-		${LOCALBASE}/lib/libssh.so:${PORTSDIR}/security/libssh \
 		swig2.0:${PORTSDIR}/devel/swig20
 LIB_DEPENDS=	ass:${PORTSDIR}/multimedia/libass \
 		boost_thread:${PORTSDIR}/devel/boost-libs \
@@ -37,14 +36,10 @@ LIB_DEPENDS=	ass:${PORTSDIR}/multimedia/
 		jpeg:${PORTSDIR}/graphics/jpeg \
 		mad:${PORTSDIR}/audio/libmad \
 		modplug:${PORTSDIR}/audio/libmodplug \
-		mp3lame:${PORTSDIR}/audio/lame \
 		mpeg2:${PORTSDIR}/multimedia/libmpeg2 \
-		ogg:${PORTSDIR}/audio/libogg \
 		pcre:${PORTSDIR}/devel/pcre \
-		plist:${PORTSDIR}/devel/libplist \
 		png15:${PORTSDIR}/graphics/png \
 		samplerate:${PORTSDIR}/audio/libsamplerate \
-		smbclient:${PORTSDIR}/net/samba-libsmbclient	\
 		sqlite3:${PORTSDIR}/databases/sqlite3 \
 		tag:${PORTSDIR}/audio/taglib \
 		tinyxml:${PORTSDIR}/textproc/tinyxml \
@@ -52,15 +47,11 @@ LIB_DEPENDS=	ass:${PORTSDIR}/multimedia/
 		yajl:${PORTSDIR}/devel/yajl
 RUN_DEPENDS=	${PYTHON_PKGNAMEPREFIX}sqlite3>0:${PORTSDIR}/databases/py-sqlite3 \
 		glxinfo:${PORTSDIR}/graphics/mesa-demos \
-		${PYTHON_SITELIBDIR}/PIL/__init__.py:${PORTSDIR}/graphics/py-imaging \
-		${LOCALBASE}/lib/libssh.so:${PORTSDIR}/security/libssh \
+		nmblookup:${PORTSDIR}/net/samba-nmblookup \
+		${PYTHON_PKGNAMEPREFIX}imaging>0:${PORTSDIR}/graphics/py-imaging \
 		xdpyinfo:${PORTSDIR}/x11/xdpyinfo
 
-USE_GITHUB=	yes
-GH_ACCOUNT=	xbmc
-GH_COMMIT=	7a6cb7f
-GH_TAGNAME=	Frodo_rc3
-
+FETCH_ARGS=	-Fpr
 USE_GMAKE=	yes
 USE_PKGCONFIG=	build
 USE_AUTOTOOLS=	autoconf libtool automake libltdl
@@ -68,8 +59,7 @@ GNU_CONFIGURE=	yes
 USE_XORG=	xt xmu xrandr xtst
 USE_GL=		glu
 USE_SDL=	image sdl
-USE_MYSQL=	yes
-USE_PYTHON=	2.5+
+USE_PYTHON=	-2.7
 USE_JAVA=	yes
 JAVA_BUILD=	jre
 MAKE_JOBS_SAFE=	yes
@@ -85,11 +75,19 @@ DESKTOP_ENTRIES="XBMC" \
 		"AudioVideo;Video;" \
 		true
 
-OPTIONS_DEFINE=	AVAHI EXTERNAL_FFMPEG LIBBLURAY HAL LIRC NONFREE PULSEAUDIO RTMP VAAPI VDPAU WEBSERVER
+OPTIONS_DEFINE=	AIRPLAY AIRTUNES AVAHI CEC EXTERNAL_FFMPEG LAME \
+		LIBBLURAY HAL LIRC MYSQL NONFREE PULSEAUDIO RTMP SFTP \
+		SMB VAAPI VDPAU VORBIS WEBSERVER
+AIRPLAY_DESC=	AirPlay support via libplist
+AIRTUNES_DESC=	AirTunes support via libshairport
+CEC_DESC=	CEC adapter support
 EXTERNAL_FFMPEG_DESC=	Use external ffmpeg
-NONFREE_DESC=		Enable non-free components (rar, ccx, ffmpeg)
+NONFREE_DESC=	Enable non-free components (rar, ccx, ffmpeg)
+SFTP_DESC=	SSH SFTP support via libssh
+VORBIS_DESC=	Ogg Vorbis audio encoder
 
-OPTIONS_DEFAULT=	AVAHI LIBBLURAY HAL RTMP WEBSERVER
+OPTIONS_DEFAULT=	AIRPLAY AVAHI CEC LAME LIBBLURAY HAL MYSQL \
+			RTMP SFTP SMB VORBIS WEBSERVER
 
 CONFIGURE_ARGS+=	--disable-nfs
 
@@ -119,6 +117,20 @@ CONFIGURE_ARGS+=	--enable-debug
 CONFIGURE_ARGS+=	--disable-debug
 .endif
 
+.if ${PORT_OPTIONS:MAIRPLAY}
+CONFIGURE_ARGS+=	--enable-airplay
+LIB_DEPENDS+=	plist:${PORTSDIR}/devel/libplist
+.else
+CONFIGURE_ARGS+=	--disable-airplay
+.endif
+
+.if ${PORT_OPTIONS:MAIRTUNES}
+CONFIGURE_ARGS+=	--enable-airtunes
+LIB_DEPENDS+=	shairport:${PORTSDIR}/audio/libshairport
+.else
+CONFIGURE_ARGS+=	--disable-airtunes
+.endif
+
 .if ${PORT_OPTIONS:MAVAHI}
 CONFIGURE_ARGS+=	--enable-avahi
 LIB_DEPENDS+=	avahi-common:${PORTSDIR}/net/avahi-app
@@ -126,6 +138,13 @@ LIB_DEPENDS+=	avahi-common:${PORTSDIR}/n
 CONFIGURE_ARGS+=	--disable-avahi
 .endif
 
+.if ${PORT_OPTIONS:MCEC}
+CONFIGURE_ARGS+=	--enable-libcec
+LIB_DEPENDS+=	cec:${PORTSDIR}/multimedia/libcec
+.else
+CONFIGURE_ARGS+=	--disable-libcec
+.endif
+
 .if ${PORT_OPTIONS:MEXTERNAL_FFMPEG}
 CONFIGURE_ARGS+=	--enable-external-ffmpeg
 FFMPEG_SUFFIX=	1
@@ -152,10 +171,24 @@ LIB_DEPENDS+=	hal:${PORTSDIR}/sysutils/h
 CONFIGURE_ARGS+=	--disable-hal
 .endif
 
+.if ${PORT_OPTIONS:MLAME}
+CONFIGURE_ARGS+=	--enable-libmp3lame
+LIB_DEPENDS+=	mp3lame:${PORTSDIR}/audio/lame
+.else
+CONFIGURE_ARGS+=	--disable-libmp3lame
+.endif
+
 .if ${PORT_OPTIONS:MLIRC}
 RUN_DEPENDS+=	lircd:${PORTSDIR}/comms/lirc
 .endif
 
+.if ${PORT_OPTIONS:MMYSQL}
+CONFIGURE_ARGS+=	--enable-mysql
+USE_MYSQL=	yes
+.else
+CONFIGURE_ARGS+=	--disable-mysql
+.endif
+
 .if ${PORT_OPTIONS:MNONFREE}
 CONFIGURE_ARGS+=	--enable-non-free
 NO_CDROM=	Restricted binary distribution
@@ -178,6 +211,21 @@ LIB_DEPENDS+=	rtmp:${PORTSDIR}/multimedi
 CONFIGURE_ARGS+=	--disable-rtmp
 .endif
 
+.if ${PORT_OPTIONS:MSFTP}
+CONFIGURE_ARGS+=	--enable-ssh
+BUILD_DEPENDS+=	${LOCALBASE}/lib/libssh.so:${PORTSDIR}/security/libssh
+RUN_DEPENDS+=	${LOCALBASE}/lib/libssh.so:${PORTSDIR}/security/libssh
+.else
+CONFIGURE_ARGS+=	--disable-ssh
+.endif
+
+.if ${PORT_OPTIONS:MSMB}
+CONFIGURE_ARGS+=	--enable-samba
+LIB_DEPENDS+=	smbclient:${PORTSDIR}/net/samba-libsmbclient
+.else
+CONFIGURE_ARGS+=	--disable-samba
+.endif
+
 .if ${PORT_OPTIONS:MVAAPI}
 LIB_DEPENDS+=	va:${PORTSDIR}/multimedia/libva
 CONFIGURE_ARGS+=	--enable-vaapi
@@ -192,6 +240,13 @@ CONFIGURE_ARGS+=	--enable-vdpau
 CONFIGURE_ARGS+=	--disable-vdpau
 .endif
 
+.if ${PORT_OPTIONS:MVORBIS}
+CONFIGURE_ARGS+=	--enable-libvorbisenc
+LIB_DEPENDS+=	ogg:${PORTSDIR}/audio/libogg
+.else
+CONFIGURE_ARGS+=	--disable-libvorbisenc
+.endif
+
 .if ${PORT_OPTIONS:MWEBSERVER}
 CONFIGURE_ARGS+=	--enable-webserver
 LIB_DEPENDS+=	microhttpd:${PORTSDIR}/www/libmicrohttpd

Modified: head/multimedia/xbmc/distinfo
==============================================================================
--- head/multimedia/xbmc/distinfo	Fri Mar  8 19:30:00 2013	(r313669)
+++ head/multimedia/xbmc/distinfo	Fri Mar  8 19:34:05 2013	(r313670)
@@ -1,2 +1,2 @@
-SHA256 (xbmc-12.0.rc3.tar.gz) = 70e38433cd12d44fca068b1a3f000ecf6013c988b5f0d730b6be2caa21c12652
-SIZE (xbmc-12.0.rc3.tar.gz) = 64072535
+SHA256 (xbmc-12.0.tar.gz) = 53018cd014b5203df5e5ef4080931ef499d3740815f32d17dce92ef7d050c16f
+SIZE (xbmc-12.0.tar.gz) = 67176825

Modified: head/multimedia/xbmc/files/patch-configure.in
==============================================================================
--- head/multimedia/xbmc/files/patch-configure.in	Fri Mar  8 19:30:00 2013	(r313669)
+++ head/multimedia/xbmc/files/patch-configure.in	Fri Mar  8 19:34:05 2013	(r313670)
@@ -1,5 +1,18 @@
 --- configure.in.orig	2012-10-01 01:08:50.000000000 +0200
 +++ configure.in	2012-10-03 12:17:13.000000000 +0200
+@@ -726,9 +726,9 @@
+ # platform specific flags
+ if echo "$ARCH" | grep -q "freebsd" ; then
+   LOCALBASE="${LOCALBASE:-/usr/local}"
+-  CFLAGS="$CFLAGS -I$LOCALBASE/include"
+-  CXXFLAGS="$CXXFLAGS -I$LOCALBASE/include"
+-  CPPFLAGS="$CPPFLAGS -I$LOCALBASE/include"
++  CFLAGS="$CFLAGS -idirafter$LOCALBASE/include"
++  CXXFLAGS="$CXXFLAGS -idirafter$LOCALBASE/include"
++  CPPFLAGS="$CPPFLAGS -idirafter$LOCALBASE/include"
+   LDFLAGS="$LDFLAGS -L$LOCALBASE/lib"
+   FFMPEG_EXTRACFLAGS="-I$LOCALBASE/include"
+ fi
 @@ -816,6 +816,7 @@
  
  # Check inotify availability

Added: head/multimedia/xbmc/files/patch-headless
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/multimedia/xbmc/files/patch-headless	Fri Mar  8 19:34:05 2013	(r313670)
@@ -0,0 +1,83 @@
+From d9d80bbf6c34fa546fc81299255fb31a5ec1a7ea Mon Sep 17 00:00:00 2001
+From: Marc <mhocking@home-workstation.localdomain>
+Date: Thu, 7 Jun 2012 17:27:26 +0100
+Subject: [PATCH 3/3] Allow XBMC to run headless .i.e. No GUI
+
+---
+ xbmc/main.cpp                    |    2 ++
+ xbmc/settings/AppParamParser.cpp |    9 +++++++++
+ xbmc/settings/AppParamParser.h   |    2 ++
+ 3 files changed, 13 insertions(+)
+
+diff --git xbmc/main/main.cpp xbmc/main/main.cpp
+index 0b0274a..6f9229b 100644
+--- xbmc/main/main.cpp
++++ xbmc/main/main.cpp
+@@ -82,6 +82,8 @@ int main(int argc, char* argv[])
+ #ifndef _WIN32
+   CAppParamParser appParamParser;
+   appParamParser.Parse((const char **)argv, argc);
++
++  renderGUI = appParamParser.renderGUI();
+ #endif
+   return XBMC_Run(renderGUI);
+ }
+diff --git xbmc/settings/AppParamParser.cpp xbmc/settings/AppParamParser.cpp
+index 0302105..5a4627c 100644
+--- xbmc/settings/AppParamParser.cpp
++++ xbmc/settings/AppParamParser.cpp
+@@ -39,6 +39,7 @@
+ CAppParamParser::CAppParamParser()
+ {
+   m_testmode = false;
++  m_renderGUI = true;
+ }
+ 
+ void CAppParamParser::Parse(const char* argv[], int nArgs)
+@@ -107,6 +108,7 @@ void CAppParamParser::DisplayHelp()
+   printf("  --test\t\tEnable test mode. [FILE] required.\n");
+   printf("  --settings=<filename>\t\tLoads specified file after advancedsettings.xml replacing any settings specified\n");
+   printf("  \t\t\t\tspecified file must exist in special://xbmc/system/\n");
++  printf("  --headless\t\tRun XBMC headless, i.e. No GUI.\n");
+   exit(0);
+ }
+ 
+@@ -135,6 +137,8 @@ void CAppParamParser::ParseArg(const CStdString &arg)
+     g_application.SetEnableLegacyRes(true);
+   else if (arg == "--test")
+     m_testmode = true;
++  else if (arg == "--headless")
++    m_renderGUI = false;
+   else if (arg.substr(0, 11) == "--settings=")
+     g_advancedSettings.AddSettingsFile(arg.substr(11));
+   else if (arg.length() != 0 && arg[0] != '-')
+@@ -147,6 +151,11 @@ void CAppParamParser::ParseArg(const CStdString &arg)
+   }
+ }
+ 
++bool CAppParamParser::renderGUI()
++{
++  return(m_renderGUI);
++}
++
+ void CAppParamParser::PlayPlaylist()
+ {
+   if (m_playlist.Size() > 0)
+diff --git xbmc/settings/AppParamParser.h xbmc/settings/AppParamParser.h
+index fb21081..c201e48 100644
+--- xbmc/settings/AppParamParser.h
++++ xbmc/settings/AppParamParser.h
+@@ -27,9 +27,11 @@ class CAppParamParser
+   public:
+     CAppParamParser();
+     void Parse(const char* argv[], int nArgs);
++    bool renderGUI();
+ 
+   private:
+     bool m_testmode;
++    bool m_renderGUI;
+     CFileItemList m_playlist;
+     void ParseArg(const CStdString &arg);
+     void DisplayHelp();
+-- 
+1.7.10.2

Added: head/multimedia/xbmc/files/patch-xbmc__cdrip__EncoderFFmpeg.cpp
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/multimedia/xbmc/files/patch-xbmc__cdrip__EncoderFFmpeg.cpp	Fri Mar  8 19:34:05 2013	(r313670)
@@ -0,0 +1,16 @@
+--- xbmc/cdrip/EncoderFFmpeg.cpp.orig 2013-02-06 19:11:19.000000000 +0100
++++ xbmc/cdrip/EncoderFFmpeg.cpp 2013-02-06 19:11:45.000000000 +0100
+@@ -77,7 +77,13 @@
+   }
+
+   m_Format     = m_dllAvFormat.avformat_alloc_context();
++#if LIBAVFORMAT_VERSION_INT >= AV_VERSION_INT(53,1,0)
+   m_Format->pb = m_dllAvFormat.avio_alloc_context(m_BCBuffer, sizeof(m_BCBuffer), AVIO_FLAG_READ, this,  NULL, MuxerReadPacket, NULL);
++#elif LIBAVFORMAT_VERSION_INT >= AV_VERSION_INT(53,0,0)
++  m_Format->pb = m_dllAvFormat.avio_alloc_context(m_BCBuffer, sizeof(m_BCBuffer), AVIO_RDONLY, this,  NULL, MuxerReadPacket, NULL);
++#else
++  m_Format->pb = m_dllAvFormat.avio_alloc_context(m_BCBuffer, sizeof(m_BCBuffer), URL_RDONLY, this,  NULL, MuxerReadPacket, NULL);
++#endif
+   if (!m_Format->pb)
+   {
+     m_dllAvUtil.av_freep(&m_Format);

Modified: head/multimedia/xbmc/files/patch-xbmc__threads__platform__pthreads__ThreadImpl.cpp
==============================================================================
--- head/multimedia/xbmc/files/patch-xbmc__threads__platform__pthreads__ThreadImpl.cpp	Fri Mar  8 19:30:00 2013	(r313669)
+++ head/multimedia/xbmc/files/patch-xbmc__threads__platform__pthreads__ThreadImpl.cpp	Fri Mar  8 19:34:05 2013	(r313670)
@@ -1,18 +1,15 @@
---- xbmc/threads/platform/pthreads/ThreadImpl.cpp.orig	2012-09-21 15:52:13.000000000 +0200
-+++ xbmc/threads/platform/pthreads/ThreadImpl.cpp	2012-09-21 15:55:45.000000000 +0200
-@@ -59,12 +59,12 @@
+--- xbmc/threads/platform/pthreads/ThreadImpl.cpp.orig	2013-03-07 15:55:46.000000000 +0100
++++ xbmc/threads/platform/pthreads/ThreadImpl.cpp	2013-03-07 15:55:58.000000000 +0100
+@@ -58,11 +58,7 @@
  void CThread::SetThreadInfo()
  {
  #ifdef __FreeBSD__
 -#if __FreeBSD_version < 900031
-+#if __FreeBSD_version > 900030
-+  m_ThreadOpaque.LwpId = pthread_getthreadid_np();
-+#elif __FreeBSD_version > 800000
-   long lwpid;
-   thr_self(&lwpid);
-   m_ThreadOpaque.LwpId = lwpid;
+-  long lwpid;
+-  thr_self(&lwpid);
+-  m_ThreadOpaque.LwpId = lwpid;
 -#else
--  m_ThreadOpaque.LwpId = pthread_getthreadid_np();
++#if __FreeBSD_version > 900030
+   m_ThreadOpaque.LwpId = pthread_getthreadid_np();
  #endif
  #elif defined(TARGET_ANDROID)
-   m_ThreadOpaque.LwpId = gettid();

Modified: head/multimedia/xbmc/pkg-descr
==============================================================================
--- head/multimedia/xbmc/pkg-descr	Fri Mar  8 19:30:00 2013	(r313669)
+++ head/multimedia/xbmc/pkg-descr	Fri Mar  8 19:34:05 2013	(r313670)
@@ -2,4 +2,4 @@ XBMC Media Center (formerly named "XBox 
 is a free and open source cross-platform media-player
 and entertainment hub.
 
-WWW:	http://xbmc.org/
+WWW: http://xbmc.org/

Modified: head/multimedia/xbmc/pkg-plist
==============================================================================
--- head/multimedia/xbmc/pkg-plist	Fri Mar  8 19:30:00 2013	(r313669)
+++ head/multimedia/xbmc/pkg-plist	Fri Mar  8 19:34:05 2013	(r313670)
@@ -46,6 +46,7 @@ share/icons/hicolor/48x48/apps/xbmc.png
 %%DATADIR%%/addons/metadata.album.universal/albumuniversal.xml
 %%DATADIR%%/addons/metadata.album.universal/changelog.txt
 %%DATADIR%%/addons/metadata.album.universal/icon.png
+%%DATADIR%%/addons/metadata.album.universal/resources/language/Afrikaans/strings.xml
 %%DATADIR%%/addons/metadata.album.universal/resources/language/Belarusian/strings.po
 %%DATADIR%%/addons/metadata.album.universal/resources/language/Belarusian/strings.xml
 %%DATADIR%%/addons/metadata.album.universal/resources/language/Bulgarian/strings.po
@@ -63,6 +64,7 @@ share/icons/hicolor/48x48/apps/xbmc.png
 %%DATADIR%%/addons/metadata.album.universal/resources/language/English/strings.po
 %%DATADIR%%/addons/metadata.album.universal/resources/language/English/strings.xml
 %%DATADIR%%/addons/metadata.album.universal/resources/language/Estonian/strings.xml
+%%DATADIR%%/addons/metadata.album.universal/resources/language/Finnish/strings.xml
 %%DATADIR%%/addons/metadata.album.universal/resources/language/French/strings.po
 %%DATADIR%%/addons/metadata.album.universal/resources/language/French/strings.xml
 %%DATADIR%%/addons/metadata.album.universal/resources/language/Galician/strings.xml
@@ -77,6 +79,7 @@ share/icons/hicolor/48x48/apps/xbmc.png
 %%DATADIR%%/addons/metadata.album.universal/resources/language/Icelandic/strings.xml
 %%DATADIR%%/addons/metadata.album.universal/resources/language/Italian/strings.po
 %%DATADIR%%/addons/metadata.album.universal/resources/language/Italian/strings.xml
+%%DATADIR%%/addons/metadata.album.universal/resources/language/Japanese/strings.xml
 %%DATADIR%%/addons/metadata.album.universal/resources/language/Korean/strings.po
 %%DATADIR%%/addons/metadata.album.universal/resources/language/Korean/strings.xml
 %%DATADIR%%/addons/metadata.album.universal/resources/language/Lithuanian/strings.po
@@ -91,6 +94,7 @@ share/icons/hicolor/48x48/apps/xbmc.png
 %%DATADIR%%/addons/metadata.album.universal/resources/language/Portuguese (Brazil)/strings.xml
 %%DATADIR%%/addons/metadata.album.universal/resources/language/Portuguese/strings.po
 %%DATADIR%%/addons/metadata.album.universal/resources/language/Portuguese/strings.xml
+%%DATADIR%%/addons/metadata.album.universal/resources/language/Romanian/strings.xml
 %%DATADIR%%/addons/metadata.album.universal/resources/language/Russian/strings.po
 %%DATADIR%%/addons/metadata.album.universal/resources/language/Russian/strings.xml
 %%DATADIR%%/addons/metadata.album.universal/resources/language/Slovak/strings.po
@@ -110,6 +114,7 @@ share/icons/hicolor/48x48/apps/xbmc.png
 %%DATADIR%%/addons/metadata.artists.universal/artistuniversal.xml
 %%DATADIR%%/addons/metadata.artists.universal/changelog.txt
 %%DATADIR%%/addons/metadata.artists.universal/icon.png
+%%DATADIR%%/addons/metadata.artists.universal/resources/language/Afrikaans/strings.xml
 %%DATADIR%%/addons/metadata.artists.universal/resources/language/Belarusian/strings.xml
 %%DATADIR%%/addons/metadata.artists.universal/resources/language/Bulgarian/strings.xml
 %%DATADIR%%/addons/metadata.artists.universal/resources/language/Catalan/strings.xml
@@ -119,13 +124,16 @@ share/icons/hicolor/48x48/apps/xbmc.png
 %%DATADIR%%/addons/metadata.artists.universal/resources/language/Dutch/strings.xml
 %%DATADIR%%/addons/metadata.artists.universal/resources/language/English/strings.xml
 %%DATADIR%%/addons/metadata.artists.universal/resources/language/Estonian/strings.xml
+%%DATADIR%%/addons/metadata.artists.universal/resources/language/Finnish/strings.xml
 %%DATADIR%%/addons/metadata.artists.universal/resources/language/French/strings.xml
+%%DATADIR%%/addons/metadata.artists.universal/resources/language/Galician/strings.xml
 %%DATADIR%%/addons/metadata.artists.universal/resources/language/German/strings.xml
 %%DATADIR%%/addons/metadata.artists.universal/resources/language/Greek/strings.xml
 %%DATADIR%%/addons/metadata.artists.universal/resources/language/Hebrew/strings.xml
 %%DATADIR%%/addons/metadata.artists.universal/resources/language/Hungarian/strings.xml
 %%DATADIR%%/addons/metadata.artists.universal/resources/language/Icelandic/strings.xml
 %%DATADIR%%/addons/metadata.artists.universal/resources/language/Italian/strings.xml
+%%DATADIR%%/addons/metadata.artists.universal/resources/language/Japanese/strings.xml
 %%DATADIR%%/addons/metadata.artists.universal/resources/language/Korean/strings.xml
 %%DATADIR%%/addons/metadata.artists.universal/resources/language/Lithuanian/strings.xml
 %%DATADIR%%/addons/metadata.artists.universal/resources/language/Macedonian/strings.xml
@@ -133,6 +141,7 @@ share/icons/hicolor/48x48/apps/xbmc.png
 %%DATADIR%%/addons/metadata.artists.universal/resources/language/Polish/strings.xml
 %%DATADIR%%/addons/metadata.artists.universal/resources/language/Portuguese (Brazil)/strings.xml
 %%DATADIR%%/addons/metadata.artists.universal/resources/language/Portuguese/strings.xml
+%%DATADIR%%/addons/metadata.artists.universal/resources/language/Romanian/strings.xml
 %%DATADIR%%/addons/metadata.artists.universal/resources/language/Russian/strings.xml
 %%DATADIR%%/addons/metadata.artists.universal/resources/language/Slovak/strings.xml
 %%DATADIR%%/addons/metadata.artists.universal/resources/language/Slovenian/strings.xml
@@ -170,41 +179,44 @@ share/icons/hicolor/48x48/apps/xbmc.png
 %%DATADIR%%/addons/metadata.common.themoviedb.org/addon.xml
 %%DATADIR%%/addons/metadata.common.themoviedb.org/icon.png
 %%DATADIR%%/addons/metadata.common.themoviedb.org/tmdb.xml
-%%DATADIR%%/addons/metadata.musicvideos.last.fm/addon.xml
-%%DATADIR%%/addons/metadata.musicvideos.last.fm/icon.png
-%%DATADIR%%/addons/metadata.musicvideos.last.fm/lastfmmusicvideos.xml
-%%DATADIR%%/addons/metadata.musicvideos.last.fm/resources/language/Afrikaans/strings.xml
-%%DATADIR%%/addons/metadata.musicvideos.last.fm/resources/language/Belarusian/strings.xml
-%%DATADIR%%/addons/metadata.musicvideos.last.fm/resources/language/Bulgarian/strings.xml
-%%DATADIR%%/addons/metadata.musicvideos.last.fm/resources/language/Catalan/strings.xml
-%%DATADIR%%/addons/metadata.musicvideos.last.fm/resources/language/Chinese (Simple)/strings.xml
-%%DATADIR%%/addons/metadata.musicvideos.last.fm/resources/language/Czech/strings.xml
-%%DATADIR%%/addons/metadata.musicvideos.last.fm/resources/language/Danish/strings.xml
-%%DATADIR%%/addons/metadata.musicvideos.last.fm/resources/language/Dutch/strings.xml
-%%DATADIR%%/addons/metadata.musicvideos.last.fm/resources/language/English/strings.xml
-%%DATADIR%%/addons/metadata.musicvideos.last.fm/resources/language/Finnish/strings.xml
-%%DATADIR%%/addons/metadata.musicvideos.last.fm/resources/language/French/strings.xml
-%%DATADIR%%/addons/metadata.musicvideos.last.fm/resources/language/German/strings.xml
-%%DATADIR%%/addons/metadata.musicvideos.last.fm/resources/language/Greek/strings.xml
-%%DATADIR%%/addons/metadata.musicvideos.last.fm/resources/language/Hebrew/strings.xml
-%%DATADIR%%/addons/metadata.musicvideos.last.fm/resources/language/Hungarian/strings.xml
-%%DATADIR%%/addons/metadata.musicvideos.last.fm/resources/language/Italian/strings.xml
-%%DATADIR%%/addons/metadata.musicvideos.last.fm/resources/language/Korean/strings.xml
-%%DATADIR%%/addons/metadata.musicvideos.last.fm/resources/language/Lithuanian/strings.xml
-%%DATADIR%%/addons/metadata.musicvideos.last.fm/resources/language/Macedonian/strings.xml
-%%DATADIR%%/addons/metadata.musicvideos.last.fm/resources/language/Polish/strings.xml
-%%DATADIR%%/addons/metadata.musicvideos.last.fm/resources/language/Portuguese (Brazil)/strings.xml
-%%DATADIR%%/addons/metadata.musicvideos.last.fm/resources/language/Portuguese/strings.xml
-%%DATADIR%%/addons/metadata.musicvideos.last.fm/resources/language/Romanian/strings.xml
-%%DATADIR%%/addons/metadata.musicvideos.last.fm/resources/language/Russian/strings.xml
-%%DATADIR%%/addons/metadata.musicvideos.last.fm/resources/language/Slovak/strings.xml
-%%DATADIR%%/addons/metadata.musicvideos.last.fm/resources/language/Slovenian/strings.xml
-%%DATADIR%%/addons/metadata.musicvideos.last.fm/resources/language/Spanish (Argentina)/strings.xml
-%%DATADIR%%/addons/metadata.musicvideos.last.fm/resources/language/Spanish (Mexico)/strings.xml
-%%DATADIR%%/addons/metadata.musicvideos.last.fm/resources/language/Spanish/strings.xml
-%%DATADIR%%/addons/metadata.musicvideos.last.fm/resources/language/Swedish/strings.xml
-%%DATADIR%%/addons/metadata.musicvideos.last.fm/resources/language/Thai/strings.xml
-%%DATADIR%%/addons/metadata.musicvideos.last.fm/resources/settings.xml
+%%DATADIR%%/addons/metadata.musicvideos.theaudiodb.com/addon.xml
+%%DATADIR%%/addons/metadata.musicvideos.theaudiodb.com/icon.png
+%%DATADIR%%/addons/metadata.musicvideos.theaudiodb.com/resources/language/Afrikaans/strings.xml
+%%DATADIR%%/addons/metadata.musicvideos.theaudiodb.com/resources/language/Belarusian/strings.xml
+%%DATADIR%%/addons/metadata.musicvideos.theaudiodb.com/resources/language/Bulgarian/strings.xml
+%%DATADIR%%/addons/metadata.musicvideos.theaudiodb.com/resources/language/Catalan/strings.xml
+%%DATADIR%%/addons/metadata.musicvideos.theaudiodb.com/resources/language/Chinese (Simple)/strings.xml
+%%DATADIR%%/addons/metadata.musicvideos.theaudiodb.com/resources/language/Czech/strings.xml
+%%DATADIR%%/addons/metadata.musicvideos.theaudiodb.com/resources/language/Danish/strings.xml
+%%DATADIR%%/addons/metadata.musicvideos.theaudiodb.com/resources/language/Dutch/strings.xml
+%%DATADIR%%/addons/metadata.musicvideos.theaudiodb.com/resources/language/English/strings.xml
+%%DATADIR%%/addons/metadata.musicvideos.theaudiodb.com/resources/language/Finnish/strings.xml
+%%DATADIR%%/addons/metadata.musicvideos.theaudiodb.com/resources/language/French/strings.xml
+%%DATADIR%%/addons/metadata.musicvideos.theaudiodb.com/resources/language/Galician/strings.xml
+%%DATADIR%%/addons/metadata.musicvideos.theaudiodb.com/resources/language/German/strings.xml
+%%DATADIR%%/addons/metadata.musicvideos.theaudiodb.com/resources/language/Greek/strings.xml
+%%DATADIR%%/addons/metadata.musicvideos.theaudiodb.com/resources/language/Hebrew/strings.xml
+%%DATADIR%%/addons/metadata.musicvideos.theaudiodb.com/resources/language/Hungarian/strings.xml
+%%DATADIR%%/addons/metadata.musicvideos.theaudiodb.com/resources/language/Italian/strings.xml
+%%DATADIR%%/addons/metadata.musicvideos.theaudiodb.com/resources/language/Japanese/strings.xml
+%%DATADIR%%/addons/metadata.musicvideos.theaudiodb.com/resources/language/Korean/strings.xml
+%%DATADIR%%/addons/metadata.musicvideos.theaudiodb.com/resources/language/Lithuanian/strings.xml
+%%DATADIR%%/addons/metadata.musicvideos.theaudiodb.com/resources/language/Macedonian/strings.xml
+%%DATADIR%%/addons/metadata.musicvideos.theaudiodb.com/resources/language/Norwegian/strings.xml
+%%DATADIR%%/addons/metadata.musicvideos.theaudiodb.com/resources/language/Polish/strings.xml
+%%DATADIR%%/addons/metadata.musicvideos.theaudiodb.com/resources/language/Portuguese (Brazil)/strings.xml
+%%DATADIR%%/addons/metadata.musicvideos.theaudiodb.com/resources/language/Portuguese/strings.xml
+%%DATADIR%%/addons/metadata.musicvideos.theaudiodb.com/resources/language/Romanian/strings.xml
+%%DATADIR%%/addons/metadata.musicvideos.theaudiodb.com/resources/language/Russian/strings.xml
+%%DATADIR%%/addons/metadata.musicvideos.theaudiodb.com/resources/language/Slovak/strings.xml
+%%DATADIR%%/addons/metadata.musicvideos.theaudiodb.com/resources/language/Slovenian/strings.xml
+%%DATADIR%%/addons/metadata.musicvideos.theaudiodb.com/resources/language/Spanish (Argentina)/strings.xml
+%%DATADIR%%/addons/metadata.musicvideos.theaudiodb.com/resources/language/Spanish (Mexico)/strings.xml
+%%DATADIR%%/addons/metadata.musicvideos.theaudiodb.com/resources/language/Spanish/strings.xml
+%%DATADIR%%/addons/metadata.musicvideos.theaudiodb.com/resources/language/Swedish/strings.xml
+%%DATADIR%%/addons/metadata.musicvideos.theaudiodb.com/resources/language/Thai/strings.xml
+%%DATADIR%%/addons/metadata.musicvideos.theaudiodb.com/resources/settings.xml
+%%DATADIR%%/addons/metadata.musicvideos.theaudiodb.com/tadb.xml
 %%DATADIR%%/addons/metadata.themoviedb.org/addon.xml
 %%DATADIR%%/addons/metadata.themoviedb.org/changelog.txt
 %%DATADIR%%/addons/metadata.themoviedb.org/icon.png
@@ -213,6 +225,7 @@ share/icons/hicolor/48x48/apps/xbmc.png
 %%DATADIR%%/addons/metadata.themoviedb.org/resources/language/Bulgarian/strings.xml
 %%DATADIR%%/addons/metadata.themoviedb.org/resources/language/Catalan/strings.xml
 %%DATADIR%%/addons/metadata.themoviedb.org/resources/language/Chinese (Simple)/strings.xml
+%%DATADIR%%/addons/metadata.themoviedb.org/resources/language/Chinese (Traditional)/strings.xml
 %%DATADIR%%/addons/metadata.themoviedb.org/resources/language/Czech/strings.xml
 %%DATADIR%%/addons/metadata.themoviedb.org/resources/language/Danish/strings.xml
 %%DATADIR%%/addons/metadata.themoviedb.org/resources/language/Dutch/strings.xml
@@ -220,6 +233,7 @@ share/icons/hicolor/48x48/apps/xbmc.png
 %%DATADIR%%/addons/metadata.themoviedb.org/resources/language/Estonian/strings.xml
 %%DATADIR%%/addons/metadata.themoviedb.org/resources/language/Finnish/strings.xml
 %%DATADIR%%/addons/metadata.themoviedb.org/resources/language/French/strings.xml
+%%DATADIR%%/addons/metadata.themoviedb.org/resources/language/Galician/strings.xml
 %%DATADIR%%/addons/metadata.themoviedb.org/resources/language/German/strings.xml
 %%DATADIR%%/addons/metadata.themoviedb.org/resources/language/Greek/strings.xml
 %%DATADIR%%/addons/metadata.themoviedb.org/resources/language/Hebrew/strings.xml
@@ -250,6 +264,7 @@ share/icons/hicolor/48x48/apps/xbmc.png
 %%DATADIR%%/addons/metadata.tvdb.com/changelog.txt
 %%DATADIR%%/addons/metadata.tvdb.com/icon.png
 %%DATADIR%%/addons/metadata.tvdb.com/resources/language/Afrikaans/strings.xml
+%%DATADIR%%/addons/metadata.tvdb.com/resources/language/Amharic/strings.xml
 %%DATADIR%%/addons/metadata.tvdb.com/resources/language/Arabic/strings.xml
 %%DATADIR%%/addons/metadata.tvdb.com/resources/language/Basque/strings.xml
 %%DATADIR%%/addons/metadata.tvdb.com/resources/language/Belarusian/strings.xml
@@ -280,6 +295,7 @@ share/icons/hicolor/48x48/apps/xbmc.png
 %%DATADIR%%/addons/metadata.tvdb.com/resources/language/Korean/strings.xml
 %%DATADIR%%/addons/metadata.tvdb.com/resources/language/Lithuanian/strings.xml
 %%DATADIR%%/addons/metadata.tvdb.com/resources/language/Macedonian/strings.xml
+%%DATADIR%%/addons/metadata.tvdb.com/resources/language/Malayalam/strings.xml
 %%DATADIR%%/addons/metadata.tvdb.com/resources/language/Norwegian/strings.xml
 %%DATADIR%%/addons/metadata.tvdb.com/resources/language/Persian/strings.xml
 %%DATADIR%%/addons/metadata.tvdb.com/resources/language/Polish/strings.xml
@@ -574,6 +590,7 @@ share/icons/hicolor/48x48/apps/xbmc.png
 %%DATADIR%%/addons/skin.confluence/media/DefaultAddonMusic.png
 %%DATADIR%%/addons/skin.confluence/media/DefaultAddonMusicVideoInfo.png
 %%DATADIR%%/addons/skin.confluence/media/DefaultAddonNone.png
+%%DATADIR%%/addons/skin.confluence/media/DefaultAddonPVRClient.png
 %%DATADIR%%/addons/skin.confluence/media/DefaultAddonPicture.png
 %%DATADIR%%/addons/skin.confluence/media/DefaultAddonProgram.png
 %%DATADIR%%/addons/skin.confluence/media/DefaultAddonRepository.png
@@ -1142,6 +1159,7 @@ share/icons/hicolor/48x48/apps/xbmc.png
 %%DATADIR%%/addons/weather.wunderground/fanart.jpg
 %%DATADIR%%/addons/weather.wunderground/icon.png
 %%DATADIR%%/addons/weather.wunderground/resources/language/Afrikaans/strings.po
+%%DATADIR%%/addons/weather.wunderground/resources/language/Amharic/strings.po
 %%DATADIR%%/addons/weather.wunderground/resources/language/Arabic/strings.po
 %%DATADIR%%/addons/weather.wunderground/resources/language/Basque/strings.po
 %%DATADIR%%/addons/weather.wunderground/resources/language/Belarusian/strings.po
@@ -1171,6 +1189,7 @@ share/icons/hicolor/48x48/apps/xbmc.png
 %%DATADIR%%/addons/weather.wunderground/resources/language/Lithuanian/strings.po
 %%DATADIR%%/addons/weather.wunderground/resources/language/Macedonian/strings.po
 %%DATADIR%%/addons/weather.wunderground/resources/language/Norwegian/strings.po
+%%DATADIR%%/addons/weather.wunderground/resources/language/Persian/strings.po
 %%DATADIR%%/addons/weather.wunderground/resources/language/Polish/strings.po
 %%DATADIR%%/addons/weather.wunderground/resources/language/Portuguese (Brazil)/strings.po
 %%DATADIR%%/addons/weather.wunderground/resources/language/Portuguese/strings.po
@@ -1593,6 +1612,7 @@ share/xsessions/XBMC.desktop
 @dirrm %%DATADIR%%/addons/weather.wunderground/resources/language/Portuguese (Brazil)
 @dirrm %%DATADIR%%/addons/weather.wunderground/resources/language/Portuguese
 @dirrm %%DATADIR%%/addons/weather.wunderground/resources/language/Polish
+@dirrm %%DATADIR%%/addons/weather.wunderground/resources/language/Persian
 @dirrm %%DATADIR%%/addons/weather.wunderground/resources/language/Norwegian
 @dirrm %%DATADIR%%/addons/weather.wunderground/resources/language/Macedonian
 @dirrm %%DATADIR%%/addons/weather.wunderground/resources/language/Lithuanian
@@ -1622,6 +1642,7 @@ share/xsessions/XBMC.desktop
 @dirrm %%DATADIR%%/addons/weather.wunderground/resources/language/Belarusian
 @dirrm %%DATADIR%%/addons/weather.wunderground/resources/language/Basque
 @dirrm %%DATADIR%%/addons/weather.wunderground/resources/language/Arabic
+@dirrm %%DATADIR%%/addons/weather.wunderground/resources/language/Amharic
 @dirrm %%DATADIR%%/addons/weather.wunderground/resources/language/Afrikaans
 @dirrm %%DATADIR%%/addons/weather.wunderground/resources/language
 @dirrm %%DATADIR%%/addons/weather.wunderground/resources
@@ -1985,6 +2006,7 @@ share/xsessions/XBMC.desktop
 @dirrm %%DATADIR%%/addons/metadata.tvdb.com/resources/language/Polish
 @dirrm %%DATADIR%%/addons/metadata.tvdb.com/resources/language/Persian
 @dirrm %%DATADIR%%/addons/metadata.tvdb.com/resources/language/Norwegian
+@dirrm %%DATADIR%%/addons/metadata.tvdb.com/resources/language/Malayalam
 @dirrm %%DATADIR%%/addons/metadata.tvdb.com/resources/language/Macedonian
 @dirrm %%DATADIR%%/addons/metadata.tvdb.com/resources/language/Lithuanian
 @dirrm %%DATADIR%%/addons/metadata.tvdb.com/resources/language/Korean
@@ -2015,6 +2037,7 @@ share/xsessions/XBMC.desktop
 @dirrm %%DATADIR%%/addons/metadata.tvdb.com/resources/language/Belarusian
 @dirrm %%DATADIR%%/addons/metadata.tvdb.com/resources/language/Basque
 @dirrm %%DATADIR%%/addons/metadata.tvdb.com/resources/language/Arabic
+@dirrm %%DATADIR%%/addons/metadata.tvdb.com/resources/language/Amharic
 @dirrm %%DATADIR%%/addons/metadata.tvdb.com/resources/language/Afrikaans
 @dirrm %%DATADIR%%/addons/metadata.tvdb.com/resources/language
 @dirrm %%DATADIR%%/addons/metadata.tvdb.com/resources
@@ -2043,6 +2066,7 @@ share/xsessions/XBMC.desktop
 @dirrm %%DATADIR%%/addons/metadata.themoviedb.org/resources/language/Hebrew
 @dirrm %%DATADIR%%/addons/metadata.themoviedb.org/resources/language/Greek
 @dirrm %%DATADIR%%/addons/metadata.themoviedb.org/resources/language/German
+@dirrm %%DATADIR%%/addons/metadata.themoviedb.org/resources/language/Galician
 @dirrm %%DATADIR%%/addons/metadata.themoviedb.org/resources/language/French
 @dirrm %%DATADIR%%/addons/metadata.themoviedb.org/resources/language/Finnish
 @dirrm %%DATADIR%%/addons/metadata.themoviedb.org/resources/language/Estonian
@@ -2050,6 +2074,7 @@ share/xsessions/XBMC.desktop
 @dirrm %%DATADIR%%/addons/metadata.themoviedb.org/resources/language/Dutch
 @dirrm %%DATADIR%%/addons/metadata.themoviedb.org/resources/language/Danish
 @dirrm %%DATADIR%%/addons/metadata.themoviedb.org/resources/language/Czech
+@dirrm %%DATADIR%%/addons/metadata.themoviedb.org/resources/language/Chinese (Traditional)
 @dirrm %%DATADIR%%/addons/metadata.themoviedb.org/resources/language/Chinese (Simple)
 @dirrm %%DATADIR%%/addons/metadata.themoviedb.org/resources/language/Catalan
 @dirrm %%DATADIR%%/addons/metadata.themoviedb.org/resources/language/Bulgarian
@@ -2058,40 +2083,43 @@ share/xsessions/XBMC.desktop
 @dirrm %%DATADIR%%/addons/metadata.themoviedb.org/resources/language
 @dirrm %%DATADIR%%/addons/metadata.themoviedb.org/resources
 @dirrm %%DATADIR%%/addons/metadata.themoviedb.org
-@dirrm %%DATADIR%%/addons/metadata.musicvideos.last.fm/resources/language/Thai
-@dirrm %%DATADIR%%/addons/metadata.musicvideos.last.fm/resources/language/Swedish
-@dirrm %%DATADIR%%/addons/metadata.musicvideos.last.fm/resources/language/Spanish (Mexico)
-@dirrm %%DATADIR%%/addons/metadata.musicvideos.last.fm/resources/language/Spanish (Argentina)
-@dirrm %%DATADIR%%/addons/metadata.musicvideos.last.fm/resources/language/Spanish
-@dirrm %%DATADIR%%/addons/metadata.musicvideos.last.fm/resources/language/Slovenian
-@dirrm %%DATADIR%%/addons/metadata.musicvideos.last.fm/resources/language/Slovak
-@dirrm %%DATADIR%%/addons/metadata.musicvideos.last.fm/resources/language/Russian
-@dirrm %%DATADIR%%/addons/metadata.musicvideos.last.fm/resources/language/Romanian
-@dirrm %%DATADIR%%/addons/metadata.musicvideos.last.fm/resources/language/Portuguese (Brazil)
-@dirrm %%DATADIR%%/addons/metadata.musicvideos.last.fm/resources/language/Portuguese
-@dirrm %%DATADIR%%/addons/metadata.musicvideos.last.fm/resources/language/Polish
-@dirrm %%DATADIR%%/addons/metadata.musicvideos.last.fm/resources/language/Macedonian
-@dirrm %%DATADIR%%/addons/metadata.musicvideos.last.fm/resources/language/Lithuanian
-@dirrm %%DATADIR%%/addons/metadata.musicvideos.last.fm/resources/language/Korean
-@dirrm %%DATADIR%%/addons/metadata.musicvideos.last.fm/resources/language/Italian
-@dirrm %%DATADIR%%/addons/metadata.musicvideos.last.fm/resources/language/Hungarian
-@dirrm %%DATADIR%%/addons/metadata.musicvideos.last.fm/resources/language/Hebrew
-@dirrm %%DATADIR%%/addons/metadata.musicvideos.last.fm/resources/language/Greek
-@dirrm %%DATADIR%%/addons/metadata.musicvideos.last.fm/resources/language/German
-@dirrm %%DATADIR%%/addons/metadata.musicvideos.last.fm/resources/language/French
-@dirrm %%DATADIR%%/addons/metadata.musicvideos.last.fm/resources/language/Finnish
-@dirrm %%DATADIR%%/addons/metadata.musicvideos.last.fm/resources/language/English
-@dirrm %%DATADIR%%/addons/metadata.musicvideos.last.fm/resources/language/Dutch
-@dirrm %%DATADIR%%/addons/metadata.musicvideos.last.fm/resources/language/Danish
-@dirrm %%DATADIR%%/addons/metadata.musicvideos.last.fm/resources/language/Czech
-@dirrm %%DATADIR%%/addons/metadata.musicvideos.last.fm/resources/language/Chinese (Simple)
-@dirrm %%DATADIR%%/addons/metadata.musicvideos.last.fm/resources/language/Catalan
-@dirrm %%DATADIR%%/addons/metadata.musicvideos.last.fm/resources/language/Bulgarian
-@dirrm %%DATADIR%%/addons/metadata.musicvideos.last.fm/resources/language/Belarusian
-@dirrm %%DATADIR%%/addons/metadata.musicvideos.last.fm/resources/language/Afrikaans
-@dirrm %%DATADIR%%/addons/metadata.musicvideos.last.fm/resources/language
-@dirrm %%DATADIR%%/addons/metadata.musicvideos.last.fm/resources
-@dirrm %%DATADIR%%/addons/metadata.musicvideos.last.fm
+@dirrm %%DATADIR%%/addons/metadata.musicvideos.theaudiodb.com/resources/language/Thai
+@dirrm %%DATADIR%%/addons/metadata.musicvideos.theaudiodb.com/resources/language/Swedish
+@dirrm %%DATADIR%%/addons/metadata.musicvideos.theaudiodb.com/resources/language/Spanish (Mexico)
+@dirrm %%DATADIR%%/addons/metadata.musicvideos.theaudiodb.com/resources/language/Spanish (Argentina)
+@dirrm %%DATADIR%%/addons/metadata.musicvideos.theaudiodb.com/resources/language/Spanish
+@dirrm %%DATADIR%%/addons/metadata.musicvideos.theaudiodb.com/resources/language/Slovenian
+@dirrm %%DATADIR%%/addons/metadata.musicvideos.theaudiodb.com/resources/language/Slovak
+@dirrm %%DATADIR%%/addons/metadata.musicvideos.theaudiodb.com/resources/language/Russian
+@dirrm %%DATADIR%%/addons/metadata.musicvideos.theaudiodb.com/resources/language/Romanian
+@dirrm %%DATADIR%%/addons/metadata.musicvideos.theaudiodb.com/resources/language/Portuguese (Brazil)
+@dirrm %%DATADIR%%/addons/metadata.musicvideos.theaudiodb.com/resources/language/Portuguese
+@dirrm %%DATADIR%%/addons/metadata.musicvideos.theaudiodb.com/resources/language/Polish
+@dirrm %%DATADIR%%/addons/metadata.musicvideos.theaudiodb.com/resources/language/Norwegian
+@dirrm %%DATADIR%%/addons/metadata.musicvideos.theaudiodb.com/resources/language/Macedonian
+@dirrm %%DATADIR%%/addons/metadata.musicvideos.theaudiodb.com/resources/language/Lithuanian
+@dirrm %%DATADIR%%/addons/metadata.musicvideos.theaudiodb.com/resources/language/Korean
+@dirrm %%DATADIR%%/addons/metadata.musicvideos.theaudiodb.com/resources/language/Japanese
+@dirrm %%DATADIR%%/addons/metadata.musicvideos.theaudiodb.com/resources/language/Italian
+@dirrm %%DATADIR%%/addons/metadata.musicvideos.theaudiodb.com/resources/language/Hungarian
+@dirrm %%DATADIR%%/addons/metadata.musicvideos.theaudiodb.com/resources/language/Hebrew
+@dirrm %%DATADIR%%/addons/metadata.musicvideos.theaudiodb.com/resources/language/Greek
+@dirrm %%DATADIR%%/addons/metadata.musicvideos.theaudiodb.com/resources/language/German
+@dirrm %%DATADIR%%/addons/metadata.musicvideos.theaudiodb.com/resources/language/Galician
+@dirrm %%DATADIR%%/addons/metadata.musicvideos.theaudiodb.com/resources/language/French
+@dirrm %%DATADIR%%/addons/metadata.musicvideos.theaudiodb.com/resources/language/Finnish
+@dirrm %%DATADIR%%/addons/metadata.musicvideos.theaudiodb.com/resources/language/English
+@dirrm %%DATADIR%%/addons/metadata.musicvideos.theaudiodb.com/resources/language/Dutch
+@dirrm %%DATADIR%%/addons/metadata.musicvideos.theaudiodb.com/resources/language/Danish
+@dirrm %%DATADIR%%/addons/metadata.musicvideos.theaudiodb.com/resources/language/Czech
+@dirrm %%DATADIR%%/addons/metadata.musicvideos.theaudiodb.com/resources/language/Chinese (Simple)
+@dirrm %%DATADIR%%/addons/metadata.musicvideos.theaudiodb.com/resources/language/Catalan
+@dirrm %%DATADIR%%/addons/metadata.musicvideos.theaudiodb.com/resources/language/Bulgarian
+@dirrm %%DATADIR%%/addons/metadata.musicvideos.theaudiodb.com/resources/language/Belarusian
+@dirrm %%DATADIR%%/addons/metadata.musicvideos.theaudiodb.com/resources/language/Afrikaans
+@dirrm %%DATADIR%%/addons/metadata.musicvideos.theaudiodb.com/resources/language
+@dirrm %%DATADIR%%/addons/metadata.musicvideos.theaudiodb.com/resources
+@dirrm %%DATADIR%%/addons/metadata.musicvideos.theaudiodb.com
 @dirrm %%DATADIR%%/addons/metadata.common.themoviedb.org
 @dirrm %%DATADIR%%/addons/metadata.common.theaudiodb.com
 @dirrm %%DATADIR%%/addons/metadata.common.musicbrainz.org
@@ -2110,6 +2138,7 @@ share/xsessions/XBMC.desktop
 @dirrm %%DATADIR%%/addons/metadata.artists.universal/resources/language/Slovenian
 @dirrm %%DATADIR%%/addons/metadata.artists.universal/resources/language/Slovak
 @dirrm %%DATADIR%%/addons/metadata.artists.universal/resources/language/Russian
+@dirrm %%DATADIR%%/addons/metadata.artists.universal/resources/language/Romanian
 @dirrm %%DATADIR%%/addons/metadata.artists.universal/resources/language/Portuguese (Brazil)
 @dirrm %%DATADIR%%/addons/metadata.artists.universal/resources/language/Portuguese
 @dirrm %%DATADIR%%/addons/metadata.artists.universal/resources/language/Polish
@@ -2117,13 +2146,16 @@ share/xsessions/XBMC.desktop
 @dirrm %%DATADIR%%/addons/metadata.artists.universal/resources/language/Macedonian
 @dirrm %%DATADIR%%/addons/metadata.artists.universal/resources/language/Lithuanian
 @dirrm %%DATADIR%%/addons/metadata.artists.universal/resources/language/Korean
+@dirrm %%DATADIR%%/addons/metadata.artists.universal/resources/language/Japanese
 @dirrm %%DATADIR%%/addons/metadata.artists.universal/resources/language/Italian
 @dirrm %%DATADIR%%/addons/metadata.artists.universal/resources/language/Icelandic
 @dirrm %%DATADIR%%/addons/metadata.artists.universal/resources/language/Hungarian
 @dirrm %%DATADIR%%/addons/metadata.artists.universal/resources/language/Hebrew
 @dirrm %%DATADIR%%/addons/metadata.artists.universal/resources/language/Greek
 @dirrm %%DATADIR%%/addons/metadata.artists.universal/resources/language/German
+@dirrm %%DATADIR%%/addons/metadata.artists.universal/resources/language/Galician
 @dirrm %%DATADIR%%/addons/metadata.artists.universal/resources/language/French
+@dirrm %%DATADIR%%/addons/metadata.artists.universal/resources/language/Finnish
 @dirrm %%DATADIR%%/addons/metadata.artists.universal/resources/language/Estonian
 @dirrm %%DATADIR%%/addons/metadata.artists.universal/resources/language/English
 @dirrm %%DATADIR%%/addons/metadata.artists.universal/resources/language/Dutch
@@ -2133,6 +2165,7 @@ share/xsessions/XBMC.desktop
 @dirrm %%DATADIR%%/addons/metadata.artists.universal/resources/language/Catalan
 @dirrm %%DATADIR%%/addons/metadata.artists.universal/resources/language/Bulgarian
 @dirrm %%DATADIR%%/addons/metadata.artists.universal/resources/language/Belarusian
+@dirrm %%DATADIR%%/addons/metadata.artists.universal/resources/language/Afrikaans
 @dirrm %%DATADIR%%/addons/metadata.artists.universal/resources/language
 @dirrm %%DATADIR%%/addons/metadata.artists.universal/resources
 @dirrm %%DATADIR%%/addons/metadata.artists.universal
@@ -2144,6 +2177,7 @@ share/xsessions/XBMC.desktop
 @dirrm %%DATADIR%%/addons/metadata.album.universal/resources/language/Slovenian
 @dirrm %%DATADIR%%/addons/metadata.album.universal/resources/language/Slovak
 @dirrm %%DATADIR%%/addons/metadata.album.universal/resources/language/Russian
+@dirrm %%DATADIR%%/addons/metadata.album.universal/resources/language/Romanian
 @dirrm %%DATADIR%%/addons/metadata.album.universal/resources/language/Portuguese (Brazil)
 @dirrm %%DATADIR%%/addons/metadata.album.universal/resources/language/Portuguese
 @dirrm %%DATADIR%%/addons/metadata.album.universal/resources/language/Polish
@@ -2151,6 +2185,7 @@ share/xsessions/XBMC.desktop
 @dirrm %%DATADIR%%/addons/metadata.album.universal/resources/language/Macedonian
 @dirrm %%DATADIR%%/addons/metadata.album.universal/resources/language/Lithuanian
 @dirrm %%DATADIR%%/addons/metadata.album.universal/resources/language/Korean
+@dirrm %%DATADIR%%/addons/metadata.album.universal/resources/language/Japanese
 @dirrm %%DATADIR%%/addons/metadata.album.universal/resources/language/Italian
 @dirrm %%DATADIR%%/addons/metadata.album.universal/resources/language/Icelandic
 @dirrm %%DATADIR%%/addons/metadata.album.universal/resources/language/Hungarian
@@ -2159,6 +2194,7 @@ share/xsessions/XBMC.desktop
 @dirrm %%DATADIR%%/addons/metadata.album.universal/resources/language/German
 @dirrm %%DATADIR%%/addons/metadata.album.universal/resources/language/Galician
 @dirrm %%DATADIR%%/addons/metadata.album.universal/resources/language/French
+@dirrm %%DATADIR%%/addons/metadata.album.universal/resources/language/Finnish
 @dirrm %%DATADIR%%/addons/metadata.album.universal/resources/language/Estonian
 @dirrm %%DATADIR%%/addons/metadata.album.universal/resources/language/English
 @dirrm %%DATADIR%%/addons/metadata.album.universal/resources/language/Dutch
@@ -2168,6 +2204,7 @@ share/xsessions/XBMC.desktop
 @dirrm %%DATADIR%%/addons/metadata.album.universal/resources/language/Catalan
 @dirrm %%DATADIR%%/addons/metadata.album.universal/resources/language/Bulgarian
 @dirrm %%DATADIR%%/addons/metadata.album.universal/resources/language/Belarusian
+@dirrm %%DATADIR%%/addons/metadata.album.universal/resources/language/Afrikaans
 @dirrm %%DATADIR%%/addons/metadata.album.universal/resources/language
 @dirrm %%DATADIR%%/addons/metadata.album.universal/resources
 @dirrm %%DATADIR%%/addons/metadata.album.universal
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 7 Ruslan Makhmatkhanov freebsd_committer 2013-03-08 19:40:07 UTC
State Changed
From-To: feedback->closed

Committed, thanks.